import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  DeleteAnomalyMonitorRequest,
  DeleteAnomalyMonitorResponse,
} from "../models/models_0";
export interface DeleteAnomalyMonitorCommandInput
  extends DeleteAnomalyMonitorRequest {}
export interface DeleteAnomalyMonitorCommandOutput
  extends DeleteAnomalyMonitorResponse,
    __MetadataBearer {}
export declare class DeleteAnomalyMonitorCommand extends $Command<
  DeleteAnomalyMonitorCommandInput,
  DeleteAnomalyMonitorCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: DeleteAnomalyMonitorCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAnomalyMonitorCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteAnomalyMonitorCommandInput,
    DeleteAnomalyMonitorCommandOutput
  >;
  private serialize;
  private deserialize;
}
