import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetCostAndUsageWithResourcesRequest,
  GetCostAndUsageWithResourcesResponse,
} from "../models/models_0";
export interface GetCostAndUsageWithResourcesCommandInput
  extends GetCostAndUsageWithResourcesRequest {}
export interface GetCostAndUsageWithResourcesCommandOutput
  extends GetCostAndUsageWithResourcesResponse,
    __MetadataBearer {}
export declare class GetCostAndUsageWithResourcesCommand extends $Command<
  GetCostAndUsageWithResourcesCommandInput,
  GetCostAndUsageWithResourcesCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetCostAndUsageWithResourcesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetCostAndUsageWithResourcesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetCostAndUsageWithResourcesCommandInput,
    GetCostAndUsageWithResourcesCommandOutput
  >;
  private serialize;
  private deserialize;
}
