import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetUsageForecastRequest,
  GetUsageForecastResponse,
} from "../models/models_0";
export interface GetUsageForecastCommandInput extends GetUsageForecastRequest {}
export interface GetUsageForecastCommandOutput
  extends GetUsageForecastResponse,
    __MetadataBearer {}
export declare class GetUsageForecastCommand extends $Command<
  GetUsageForecastCommandInput,
  GetUsageForecastCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetUsageForecastCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetUsageForecastCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetUsageForecastCommandInput, GetUsageForecastCommandOutput>;
  private serialize;
  private deserialize;
}
